/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE			 		*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*	
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* FenAppliC
* @author Arnaud FARINE
* @version 1.1
*/

import waba.ui.*;
import waba.util.Vector;
import waba.fx.Color;
import waba.sys.Vm;

/**
* Container de consultation des informations
* Container par dfaut
*/
public class FenAppliC extends ContMere {
	Label lLogin;
	Label lPwd;
	Label lSite;
	Label lInfo;
	Label edLogin;
	Label edPwd;
	Edit edInfo;
	
	/**
	* Le constructeur
	*/
	public FenAppliC(){
		setBackColor(super.fonds);
		setForeColor(super.texteGen);
		comboVu.setRect(30,15,100,16);
		add(comboVu);
		lLogin = new Label("Identifiant : ",Label.RIGHT);
		lLogin.setRect(0,35,65,15);
		add(lLogin);
		lPwd = new Label("Mot de passe : ", Label.RIGHT);
		lPwd.setRect(0,55,65,15);
		add(lPwd);
		lInfo = new Label("Remarque : ", Label.LEFT);
		lInfo.setRect(0,75,65,15);
		add(lInfo);
		edLogin = new Label("");
		edLogin.setRect(70,35,85,15);
		add(edLogin);
		edPwd = new Label("");
		edPwd.setRect(70,55,85,15);
		add(edPwd);
		edInfo = new Edit();
		edInfo.setRect(2,90,155,15);
		//edInfo.setEditable(false);
		add(edInfo);		
		chercheValeur();
	}
	/**
	* Gre les vnements survenant sur le container
	* @param e Evnements capt par la fentre
	*/
	public void onEvent (Event e){
		int indexSel;
		String elementCombo;
		int numenreg=-1;
		switch (e.type){
			case ControlEvent.PRESSED:
				if (e.target==comboVu){
					indexSel=comboVu.getSelectedIndex();
					Vm.debug(""+indexSel);
					if (indexSel>-1){
						elementCombo = (String)comboCache.getItemAt(indexSel);
						String lenb = elementCombo.substring(elementCombo.indexOf("*")+1,elementCombo.length());
						int indicerec = this.toInt(lenb,0,lenb.length());
						for (int i=0;i<longVect;i++){
								EnregIdPwd enregVect = (EnregIdPwd)(listRecord.elementAt(i));
								if ((enregVect.getId())==indicerec){
									edLogin.setText("");
									edPwd.setText("");
									edInfo.setText("");
									edLogin.setText(enregVect.getLog());
									edPwd.setText(enregVect.getPwd());
									edInfo.setText(enregVect.getInfoSupp());
									return;
								}
						}	
					}
				}
		}	
	}
}
